<?php
/**
 * 
@category    Custom configuration
 * 
@package     n/a
 * 
@author      saja 
*/

$return = array();
$return['admin_email'] = env('ADMIN_EMAIL', 'jaypee.sanchez@erni.ph');
/*
|--------------------------------------------------------------------------
| custom setup depending on the environment
|--------------------------------------------------------------------------
|
| Value for the api url
|
*/

if (app()->environment('local')){
    $return['app_domain_api'] = env('APP_DOMAIN_API', 'http://localhost:8000/api');
    $return['app_domain'] = env('APP_DOMAIN', 'http://localhost:4200/#');

    /** Active directory access */
    $return['ad_instance_uri'] = env('AD_INSTANCEURI', 'https://erni-test.api.crm4.dynamics.com');
    $return['ad_app_id'] = env('AD_APPID', 'ab614208-f8b5-4352-a306-bd7022b36b54');
    $return['ad_app_secret'] = env('AD_APPSECRET', '19-8Q~ggP9DOaA0vTnRcDXRSK6Pfml3lyauKMahn');

} else if (app()->environment('test')) {
    /** Active directory access */
    $return['ad_instance_uri'] = env('AD_INSTANCEURI', 'https://erni-test.api.crm4.dynamics.com');
    $return['ad_app_id'] = env('AD_APPID', '7fc72003-661d-49ec-b550-2c1ee3b05adc');
    $return['ad_app_secret'] = env('AD_APPSECRET', 'AweiUl/yt5NHXc+5uYhDAKEyjOwox+xdU8Fxxq5cwQg=');
    $return['admin_email'] = env('ADMIN_EMAIL', 'jaypee.sanchez@erni.ph');
} else if (app()->environment('production')) {
    $return['app_domain_api'] = env('APP_DOMAIN_API', 'https://privacycenter.erni/api');
    $return['app_domain'] = env('APP_DOMAIN', 'https://privacycenter.erni/app/#');
    
    /** Active directory access */
    $return['ad_instance_uri'] = env('AD_INSTANCEURI', 'https://erni.api.crm4.dynamics.com');
    $return['ad_app_id'] = env('AD_APPID', '300dd2b2-2f8b-40e7-bb50-01ea0011c4c7');
    // $return['ad_app_secret'] = env('AD_APPSECRET', 'RYb8K1UqbDJKwNYVj2uaYoEIkqUslLr23Qb1loopUZw=');
    //$return['ad_instance_uri'] = env('AD_INSTANCEURI', 'https://erni-test.api.crm4.dynamics.com'); //from peter
    //$return['ad_app_id'] = env('AD_APPID', '9f7d859f-91b9-4923-a8ec-7ba2ace85eaa'); // from peter
    $return['ad_app_secret'] = env('AD_APPSECRET', 'RYb8K1UqbDJKwNYVj2uaYoEIkqUslLr23Qb1loopUZw=');
    
    $return['admin_email'] = env('ADMIN_EMAIL', 'marketing@erni.ch');
}

return $return;